# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ libX11-devel libXext-devel
# END SourceDeps(oneline)
Summary:       An old-school drum-kit sampler
Name:          drumkv1
Version:       0.3.2
Release:       alt1_1
License:       GPLv2+
Group:         Sound
URL:           http://sourceforge.net/projects/%{name}
Source0:       http://downloads.sourceforge.net/project/%{name}/%{version}/%{name}-%{version}.tar.gz

BuildRequires: libalsa-devel
BuildRequires: libjack-devel
BuildRequires: libsndfile-devel
BuildRequires: qt4-devel
BuildRequires: lv2-devel
BuildRequires: desktop-file-utils
Requires:      icon-theme-hicolor
Source44: import.info

%description
%{name} is an old-school all-digital drum-kit sampler synthesizer with 
stereo fx.

%package -n lv2-%{name} 
Summary:       An LV2 port of %{name} 
Group:         Sound
Requires:      lv2

%description -n lv2-%{name}
An LV2 plugin of the %{name} synth

%prep
%setup -q
sed -i -e 's|-ffast-math|-ffast-math %{optflags} -fPIC |' %{name}_lv2.pro
sed -i -e 's|-ffast-math|-ffast-math %{optflags} -fPIC |' %{name}_jack.pro
# correct handling of arch for 64-bit arches
sed -i -e 's|ARCH, x86_64|ARCH, x86_64\|ppc64\|s390x\|sparc64\|aarch64|' src/src_lv2.pro

%build
%configure --prefix=%{_prefix} --with-lv2=%{_libdir}/lv2
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install
chmod +x %{buildroot}%{_libdir}/lv2/%{name}.lv2/%{name}.so
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop
# generic fedora font import transformations
# move fonts to corresponding subdirs if any
for fontpatt in OTF TTF TTC otf ttf ttc pcf pcf.gz bdf afm pfa pfb; do
    case "$fontpatt" in 
	pcf*|bdf*) type=bitmap;;
	tt*|TT*) type=ttf;;
	otf|OTF) type=otf;;
	afm*|pf*) type=type1;;
    esac
    find $RPM_BUILD_ROOT/usr/share/fonts -type f -name '*.'$fontpatt | while read i; do
	j=`echo "$i" | sed -e s,/usr/share/fonts/,/usr/share/fonts/$type/,`;
	install -Dm644 "$i" "$j";
	rm -f "$i";
	olddir=`dirname "$i"`;
	mv -f "$olddir"/{encodings.dir,fonts.{dir,scale,alias}} `dirname "$j"`/ 2>/dev/null ||:
	rmdir -p "$olddir" 2>/dev/null ||:
    done
done
# kill invalid catalogue links
if [ -d $RPM_BUILD_ROOT/etc/X11/fontpath.d ]; then
    find -L $RPM_BUILD_ROOT/etc/X11/fontpath.d -type l -print -delete ||:
    # relink catalogue
    find $RPM_BUILD_ROOT/usr/share/fonts -name fonts.dir | while read i; do
	pri=10;
	j=`echo $i | sed -e s,$RPM_BUILD_ROOT/usr/share/fonts/,,`; type=${j%%%%/*}; 
	pre_stem=${j##$type/}; stem=`dirname $pre_stem|sed -e s,/,-,g`;
	case "$type" in 
	    bitmap) pri=10;;
	    ttf|ttf) pri=50;;
	    type1) pri=40;;
	esac
	ln -s /usr/share/fonts/$j $RPM_BUILD_ROOT/etc/X11/fontpath.d/"$stem:pri=$pri"
    done ||:
fi

%files 
%doc COPYING AUTHORS README ChangeLog
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_bindir}/%{name}_jack

%files -n lv2-%{name}
%doc COPYING
%{_libdir}/lv2/%{name}.lv2/

%changelog
* Thu Apr 25 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.2-alt1_1
- initial fc import

